package info.bukova.isspst.ui.reqsubjects;

import info.bukova.isspst.data.ServiceItem;
import info.bukova.isspst.filters.ServiceItemFilter;
import info.bukova.isspst.services.reqsubjects.ServiceItemService;
import info.bukova.isspst.ui.ListViewModel;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class ServiceItemList extends ListViewModel<ServiceItem> {
	
	@WireVariable
	private ServiceItemService serviceItemService;
	
	@Init
	public void init() {
		service = serviceItemService;
		dataClass = ServiceItem.class;
		formZul = "serviceForm.zul";
		dataFilter = new ServiceItemFilter(getFilterTemplate());
	}

}
