package info.bukova.isspst.ui.search;

import info.bukova.isspst.StringUtils;
import info.bukova.isspst.data.TripRequirement;

public class TripRequirementTransformer extends AbstractResultTransformer implements ResultTransformer {

	@Override
	protected void transform(Object object, SearchResult result) {
		TripRequirement tr = (TripRequirement)object;
		result.setRecordName(StringUtils.localize("TripRequirement") + ": " + tr.getNumser());
		result.setDescription(StringUtils.localize("TravelOrdersGridFrom") + " " 
				+ tr.getFrom() + " " + StringUtils.localize("TravelOrdersGridTo") + " " 
				+ tr.getTo() + " - " + tr.getDescription());
	}

}
